curl --request GET \
--url https://sandbox.api.fin.com/v2/customers/virtual-account \
--header 'Authorization: Bearer <token>'{
"data": {
"virtual_accounts": [
{
"id": "024e784b-bc27-4a4c-82ee-80000fbf53c5",
"status": "PROCESSING",
"developer_fee_percent": 0,
"developer_fee_fixed": 0.3,
"customer_id": "0fb72092-22a8-4df8-a6d9-1a28f86b7d44",
"created_at": "2026-04-04T11:05:20.963676Z",
"updated_at": "2026-04-04T11:05:20.963676Z",
"deposit_instructions": null,
"destination": {
"currency": "USDC",
"destination_chain": "POLYGON",
"address": "0x6e41e83d406185b358bd72111ab1206cb82eb67f"
},
"rfi": null
},
{
"id": "1c1919e3-ce2e-4728-9efe-12b8be8e964d",
"status": "ACTIVE",
"developer_fee_percent": 0,
"developer_fee_fixed": null,
"customer_id": "0fb72092-22a8-4df8-a6d9-1a28f86b7d44",
"created_at": "2026-04-04T11:04:16.156771Z",
"updated_at": "2026-04-04T11:04:16.156771Z",
"deposit_instructions": {
"currency": "USD",
"bank_name": "Bank of Nowhere",
"bank_address": "1800 North Pole St., Orlando, FL 32801",
"bank_routing_number": "101019644",
"bank_account_number": "2611508020",
"payment_rails": [
"ACH",
"FEDWIRE"
],
"bank_country": null,
"account_type": null,
"bank_code": null
},
"destination": {
"currency": "USDC",
"destination_chain": "POLYGON",
"address": "0x6e41e83d406185b358bd72111ab1206cb82eb67f"
},
"rfi": null
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 2
}
}
}Retrieve a list of all virtual accounts for a specific customer
curl --request GET \
--url https://sandbox.api.fin.com/v2/customers/virtual-account \
--header 'Authorization: Bearer <token>'{
"data": {
"virtual_accounts": [
{
"id": "024e784b-bc27-4a4c-82ee-80000fbf53c5",
"status": "PROCESSING",
"developer_fee_percent": 0,
"developer_fee_fixed": 0.3,
"customer_id": "0fb72092-22a8-4df8-a6d9-1a28f86b7d44",
"created_at": "2026-04-04T11:05:20.963676Z",
"updated_at": "2026-04-04T11:05:20.963676Z",
"deposit_instructions": null,
"destination": {
"currency": "USDC",
"destination_chain": "POLYGON",
"address": "0x6e41e83d406185b358bd72111ab1206cb82eb67f"
},
"rfi": null
},
{
"id": "1c1919e3-ce2e-4728-9efe-12b8be8e964d",
"status": "ACTIVE",
"developer_fee_percent": 0,
"developer_fee_fixed": null,
"customer_id": "0fb72092-22a8-4df8-a6d9-1a28f86b7d44",
"created_at": "2026-04-04T11:04:16.156771Z",
"updated_at": "2026-04-04T11:04:16.156771Z",
"deposit_instructions": {
"currency": "USD",
"bank_name": "Bank of Nowhere",
"bank_address": "1800 North Pole St., Orlando, FL 32801",
"bank_routing_number": "101019644",
"bank_account_number": "2611508020",
"payment_rails": [
"ACH",
"FEDWIRE"
],
"bank_country": null,
"account_type": null,
"bank_code": null
},
"destination": {
"currency": "USDC",
"destination_chain": "POLYGON",
"address": "0x6e41e83d406185b358bd72111ab1206cb82eb67f"
},
"rfi": null
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 2
}
}
}Bearer token authentication. Obtain token from /v1/oauth/token endpoint
Unique identifier for the customer
Number of items to return per page
1 <= x <= 512The page number to retrieve
x >= 1Virtual accounts retrieved successfully
Show child attributes